<?php
use think\Config;
// Object和Array转换
function objectToArray($obj){
    $arr = is_object($obj) ? get_object_vars($obj) : $obj;
    if(is_array($arr)){
        return array_map(__FUNCTION__, $arr);
    }else{
        return $arr;
    }
}
// 返回一个随机数
function get_rand(){
    return date('Ymd').substr(implode(NULL, array_map('ord', str_split(substr(uniqid(), 7, 13), 1))), 0, 15);
}
// 打印调试信息
function dd($val,$num = 1){
    echo json_encode($val);
    die;
    if( is_array($val) || is_object($val)){
        print_r($val);
    }else{
        echo $val . "\r\n";
    }
}
// 根据数据返回单个或多条数据集
function get_info_list($result){
    if(count($result) == 1){
        return $result[0];
    }
    return $result;
}
// 返回当前时间
function now(){
    return date('Y-m-d H:i:s');
}
function multi_array_sort($arr,$shortKey,$short=SORT_DESC,$shortType=SORT_REGULAR)
{
    foreach ($arr as $key => $data){
    $name[$key] = $data[$shortKey];
    }
    array_multisort($name,$shortType,$short,$arr);
    return $arr;
}
function indexOf(&$a,$id){
	foreach($a as $k=>$t){
		if(in_array($id,$t) && $t['id'] == $id)
			return ['sort' => $k,'item' => $t];
	}
	return FALSE;
}